SystemOrganization addCategory: 'ConfigurationOfOrbeonLDAP'!

BaselineOf subclass: #BaselineOfOrbeonLDAP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonLDAP'!

!BaselineOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:09'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonFormProcess'
         with: [ spec
					 className: 'ConfigurationOfOrbeonFormProcess';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonFormProcess';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].

       spec package: 'OrbeonLDAP-BrunoBB' with: [ spec requires: #('Orbeon' 'OrbeonFormProcess') ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonLDAP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonLDAP'!

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/22/2015 13:28'!
baseline0007: spec
	<version: '0.007-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/OrbeonBridge'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/OrbeonBridge';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'OrbeonFormProcess' with: [
			spec repository: 'http://ss3.gemstone.com/ss/OrbeonBridge';
				versionString: #stable;
				className: 'ConfigurationOfOrbeonFormProcess';
				file: 'ConfigurationOfOrbeonFormProcess';
				loads: #('ALL').
				].
		spec 
			package: 'OrbeonLDAP' with: [spec requires: #('Orbeon' 'OrbeonFormProcess')].
	].! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.007-baseline'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.008'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.008'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:35'!
version0008: spec
	<version: '0.008' imports: #('0.007-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Orbeon' with: '1.175'.
		spec project: 'OrbeonFormProcess' with: '0.743'.

		spec package: 'OrbeonLDAP' with: 'OrbeonLDAP-BrunoBB.8'.
	]! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:36'!
versionNumberClass
     ^MetacelloVersionNumber! !
